Bug 92124 - TB ipcalc.py:60:AttributeError:
TB ipcalc.py:60:AttributeError:
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-02 18:41 EDT by Puneet Sood
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 09:12:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Puneet Sood 2003-06-02 18:41:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
The system has one Ethernet card already installed and running properly. I
shutdown the system, add a new card and reboot. The new card is detected and I
do not configure it during the boot time. Login as root and start the network
configuration utility. There I click "Add". Configure the new card which was
detected as eth1 giving it a static IP address and subnet mask but no default
gateway. In the main window, click activate for eth1. Get the following
unhandled exception:

Traceback (most recent call last):
  File "/usr/sbin/neat", line 496, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveDevices()
  File "/usr/sbin/neat", line 326, in saveDevices
    devicelist.save()
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/NCDeviceList.py",
line 145, in save
    os.write(fp2, ipc.network()+'/'+ipc.prefix()+" via "+route.Gateway+"\n")
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/ipcalc.py", line 60,
in network
    return re.match("NETWORK=(\S+)", text).groups()[0]
AttributeError: 'NoneType' object has no attribute 'groups'



Version-Release number of selected component (if applicable):
redhat-config-network-1.1.20-1

How reproducible:
Always

Steps to Reproduce:
See description above.
    

Expected Results:  The second interface should have been configured successfully.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.